YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class LegendItemData

Package | com.yahoo.astra.fl.charts.legend
Class | public class LegendItemData

Public Properties

| Property | Defined by
--- | --- | ---
|  | borderAlpha : Number The alpha value used by the marker border. | LegendItemData
|  | borderColor : uint The base color used by the marker border. | LegendItemData
|  | fillAlpha : Number The alpha value used by the marker fill. | LegendItemData
|  | fillColor : uint The base color (possibly) used by the marker fill. | LegendItemData
|  | label : String The text to display on the LegendItem. | LegendItemData
|  | markerSkin : Object The skin to use for the marker on the LegendItem. | LegendItemData

Public Methods

| Method | Defined by
--- | --- | ---
|  | LegendItemData(label:String = "", markerSkin:Object = null, fillColor:uint = 0x000000, fillAlpha:Number = 1, borderColor:uint = 0x000000, borderAlpha:Number = 1) Constructor. | LegendItemData

Property detail

borderAlpha | property

`public var borderAlpha:Number`

The alpha value used by the marker border.

borderColor | property |

`public var borderColor:uint`

The base color used by the marker border.

fillAlpha | property |

`public var fillAlpha:Number`

The alpha value used by the marker fill.

fillColor | property |

`public var fillColor:uint`

The base color (possibly) used by the marker fill.

label | property |

`public var label:String`

The text to display on the LegendItem.

markerSkin | property |

`public var markerSkin:Object`

The skin to use for the marker on the LegendItem.

Constructor detail

LegendItemData | () | constructor

`public function LegendItemData(label:String = "", markerSkin:Object = null, fillColor:uint = 0x000000, fillAlpha:Number = 1, borderColor:uint = 0x000000, borderAlpha:Number = 1)`

Constructor.

Parameters

| `label:String` (default = "``")`` — The text to display on the LegendItem.
| `markerSkin:Object` (default = `null`)`` — The skin to use with the marker on the LegendItem.
| `fillColor:uint` (default = `0x000000`)`` — The base color (possibly) used by the marker.
| `fillAlpha:Number` (default = `1`)``
| `borderColor:uint` (default = `0x000000`)``
| `borderAlpha:Number` (default = `1`)``